{% extends "customers/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}
{% load humanize %}

{% block title %}Cobranza{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{{url }}billing/">Boletas</a></li>
		<li class="breadcrumb-item active">Cobranza</li>
	  </ol>
	  <!-- end breadcrumb -->
	  
	  
	  <!-- begin page-header -->
	  <h1 class="page-header">Cobranza <small>nuevo</small></h1>
	  <!-- end page-header -->
		<div class="row mb-3">
				<div class="col-sm-12 col-md-12">
						<a href="../../../pre-bill/{{actual.pk}}" class="btn btn-success btn-sm pull-right ml-1">Previsualizar Nota de venta</a>
				</div>
		</div>
	
 <!-- begin row -->
 <div class="row">
		<!-- begin col-6 -->
		<div class="col-xl-6 ui-sortable">
		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
			  <h4 class="panel-title">Añadir Nota de venta Manual</h4>
			  <div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			  </div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
	<form class="form-horizontal" method="post" enctype="multipart/form-data">
		{% csrf_token %}

		<div class="form-group row m-b-15" hidden>
	    <label for="{{ form.kind.auto_id }}" class="col-form-label col-md-3">Tipo</label>
	    <div class="col-sm-9">
					<select name="kind" class="form-control m-b-5" id="id_kind">
							<option value="7" selected>Nota</option>
							</select>
	      {% for error in form.kind.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		

		<div class="form-group row m-b-15">
	    <label for="{{ form.due_date.auto_id }}" class="col-form-label col-md-3">Fecha de vencimiento</label>
	    <div class="col-sm-9">
	      {% render_field form.due_date class="form-control m-b-5" %}

	      {% for error in form.due_date.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>

		<div class="form-group row m-b-15">
	    <label for="{{ form.paid_on.auto_id }}" class="col-form-label col-md-3">Fecha del Pago</label>
	    <div class="col-sm-9">
	      {% render_field form.paid_on class="form-control m-b-5" %}

	      {% for error in form.paid_on.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		
		<div class="form-group row m-b-15" hidden>
	    <label for="{{ form.total.auto_id }}" class="col-form-label col-md-3">Total</label>
	    <div class="col-sm-9">
	      {% render_field form.total class="form-control m-b-5" %}

	      {% for error in form.total.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		<div class="form-group row m-b-15">
			<label for="{{ form.currency.auto_id }}" class="col-form-label col-md-3">Moneda</label>
			<div class="col-sm-9">
			  {% render_field form.currency class="form-control m-b-5" %}
	
			  {% for error in form.currency.errors %}
			  <small class="f-s-12 text-danger">{{ error }}</small>
			  {% endfor %}
			</div>
			</div>
			<div class="form-group row m-b-15">
				<label for="{{ form.tasa.auto_id }}" class="col-form-label col-md-3">Tasa conversión </label>
				<div class="col-sm-9">
					{% render_field form.tasa class="form-control m-b-5" %}
		
					{% for error in form.tasa.errors %}
					<small class="f-s-12 text-danger">{{ error }}</small>
					{% endfor %}
				</div>
			</div>
		<div class="form-group row m-b-15">
	    <label for="{{ form.comment.auto_id }}" class="col-form-label col-md-3">Comentario</label>
	    <div class="col-sm-9">
	      {% render_field form.comment class="form-control m-b-5" %}

	      {% for error in form.comment.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		
		<div class="form-group row m-b-15">
	    <label for="{{ form.file.auto_id }}" class="col-form-label col-md-3">Archivo</label>
	    <div class="col-sm-9">
	      {% render_field form.file class="form-control m-b-5" %}

	      {% for error in form.file.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>

		<div class="form-group row m-b-15">
	    <label for="{{ form.operator.auto_id }}" class="col-form-label col-md-3">Operador</label>
	    <div class="col-sm-9">
			<select name="operator" class="form-control"  required id="id_operator">
				{%if if_todos %}
				{%for b in operadores %}
				<option value="{{b.id}}">{{b.name}}</option>
				{%endfor%}
				{% else%}
				{%for b in operadores %}
				<option value="{{current_operator}}">{{current_operator_name}}</option>
				{%endfor%}
				{%endif%}
				</select>
	    </div>
		</div>
		{%ifequal not_show "t" %}
		<div class="form-group row m-b-15" hidden>
				<label for="{{ form.service.auto_id }}" class="col-form-label col-md-3">Servicio</label>
				<div class="col-sm-9">
					<select name="service" class="form-control m-b-5" id="id_service" multiple="multiple">
						{%for q in actual_service %}
						<option value="{{q.id}}" selected>{{q}}</option>
						{%endfor%}
						</select>
								
					{% for error in form.service.errors %}
					<small class="f-s-12 text-danger">{{ error }}</small>
					{% endfor %}
				</div>
			</div>
		{%else%}
		<div class="form-group row m-b-15">
	    <label for="{{ form.service.auto_id }}" class="col-form-label col-md-3">Servicio</label>
	    <div class="col-sm-9">
				<select name="service" class="form-control m-b-5" id="id_service" multiple="multiple">
					{%for i in service %}
					<option value="{{i.id}}">{{i}}</option>
					{%endfor%}
					</select>
							
	      {% for error in form.service.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		{%endifequal%}
		
	  <input type="submit" value="Crear" class="btn btn-primary">
	  <a href="{{ cancel_url }}" class="btn btn-default">Cancelar</a>
	</form>

</div>
<!-- end panel-body -->
</div>
<!-- end panel -->
</div>
<!-- end col-6 -->

<!-- begin col-6 -->
<div class="col-xl-6 ui-sortable">
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
		  <!-- begin panel-heading -->
		  <div class="panel-heading ui-sortable-handle">
			<h4 class="panel-title">Cliente</h4>
			<div class="panel-heading-btn">
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			</div>
		  </div>
		  <!-- end panel-heading -->
		  <!-- begin panel-body -->
		  <div class="panel-body">
	{% if True %}
	<h4>{{ customer }}</h4>

	<p>{{ customer.rut }}</p>

	<h5>Números de servicio:</h5>
	<ul>
	{% for cc in customer.service_set.all %}
	<li><a href="{{ cc.get_absolute_url }}">{{ cc.number }}</a></li>
	{% endfor %}
	</ul>

	{%if actual %}
	<h5>Servicio:</h5>
	<p>{{actual}}</p>
	{%endif%}

	{% endif %}
</div>
<!-- end panel-body -->
</div>
<!-- end panel -->
</div>
<!-- end col-6 -->
</div>
{% endblock %}